Subject: Re: bug#1785: bug#1547: face-font-rescale-alist has no effect

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2016 18:08:41 +0300

> From: Andrew Hyatt <[email-masked]>
> Date: Thu, 14 Jul 2016 00:04:16 -0400
> Cc: Juanma Barranquero <[email-masked]>, [email-masked],
> 	[email-masked]
> 
> >     emacs -Q --eval "(add-to-list 'face-font-rescale-alist '(\".*\" . 4.0))"
> >
> > does give enlarged text in the initial frame.
> 
> Thanks for the information.  I tried this out on a Mac and found that,
> with your corrected expression, I was able to see roughly what you see,
> with the exception that some faces were not rescaled for some reason,
> except when I started it with the rescale list eval'd at emacs start
> time.
> 
> So, as you note, there are still some bugs here, enough (IMHO) to leave
> this open and at the same priority.

Actually, I'd think the priority should be lowered, as rescaling all
the fonts makes little sense to me.  FWIW.

Of course, if someone wants to work on this, I will gladly help by
whatever advice I can give.

Thanks.